%define anolis_release 1

%global githubname QAT_Engine
%global enginesdir %(pkg-config --variable=enginesdir libcrypto)

Name:           qatengine
Version:        0.6.19
Release:        %{anolis_release}%{?dist}
Summary:        Intel QuickAssist Technology (QAT) OpenSSL Engine
License:        BSD and OpenSSL
URL:            https://github.com/intel/%{githubname}
Source0:        https://github.com/intel/%{githubname}/archive/v%{version}/v%{version}.tar.gz

Patch1000:	1000-Build-with-qatlib-devel.patch

BuildRequires:  gcc make pkg-config
BuildRequires:  autoconf automake libtool
BuildRequires:  openssl-devel >= 1.1.1
BuildRequires:  qatlib-devel >= 21.08.0
BuildRequires:  intel-ipp-crypto-mb-devel >= 1.0.6
BuildRequires:  intel-ipsec-mb-devel
BuildRequires:	intel-QAT20

Requires: intel-ipp-crypto-mb >= 1.0.6

ExclusiveArch:  x86_64

%description
This package provides the Intel QuickAssist Technology OpenSSL Engine
(an OpenSSL Plug-In Engine) which provides cryptographic acceleration
for both hardware and optimized software using Intel QuickAssist Technology
enabled Intel platforms.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{githubname}-%{version} -p1

%build
autoreconf -ivf
%configure --with-qat_hw_dir=/usr/include/qat --enable-qat_sw
%make_build

%install
%make_install

%files
%license LICENSE*
%{enginesdir}/qatengine.so
%attr(755, root, root) %{enginesdir}/qatengine.la

%files doc
%doc README.md docs*

%changelog
* Mon Mar 20 2023 Xuchun Shang <xuchun.shang@linux.alibaba.com> - 0.6.19-1
- Update to version 0.6.19

* Mon Feb 20 2023 Xuchun Shang <xuchun.shang@linux.alibaba.com> - 0.6.16-4
- Build with qatlib-devel

* Fri Feb 03 2023 Xuchun Shang <xuchun.shang@linux.alibaba.com> - 0.6.16-3
- enable qat_hw

* Tue Oct 25 2022 happy_orange <songnannan@linux.alibaba.com> - 0.6.16-2
- enable qat_sw and disable qat_hw

* Thu Oct 13 2022 happy_orange <songnannan@linux.alibaba.com> - 0.6.16-1
- Init package from upstream
